RDKit: RDKit::TautomerQuery Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
RDKit::TautomerQuery Class Reference

`#include <TautomerQuery.h>`

## Public Member Functions
| TautomerQuery (std::vector< ROMOL_SPTR > tautomers, const ROMol *const templateMolecule, std::vector< size_t > modifiedAtoms, std::vector< size_t > modifiedBonds)
| TautomerQuery (const TautomerQuery &other)
| Copy constructor performs a deep copy.
| TautomerQuery (const std::string &pickle)
std::vector< MatchVectType > | substructOf (const ROMol &mol, const SubstructMatchParameters &params=SubstructMatchParameters(), std::vector< ROMOL_SPTR > *matchingTautomers=nullptr) const
bool | isSubstructOf (const ROMol &mol, const SubstructMatchParameters &params=SubstructMatchParameters())
ExplicitBitVect * | patternFingerprintTemplate (unsigned int fpSize=2048U) const
const ROMol & | getTemplateMolecule () const
const std::vector< ROMOL_SPTR > | getTautomers () const
const std::vector< size_t > | getModifiedAtoms () const
const std::vector< size_t > | getModifiedBonds () const
void | toStream (std::ostream &ss) const
| serializes (pickles) to a stream
std::string | serialize () const
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss)
| initializes from a stream pickle
void | initFromString (const std::string &text)
| initializes from a string pickle

## Static Public Member Functions
static TautomerQuery * | fromMol (const ROMol &molecule, const std::string &tautomerTransformFile=std::string())
static ExplicitBitVect * | patternFingerprintTarget (const ROMol &target, unsigned int fpSize=2048U)

## Friends
class | TautomerQueryMatcher

## Detailed Description

Definition at line 37 of file TautomerQuery.h.

## Constructor & Destructor Documentation

## ◆ TautomerQuery() [1/3]

RDKit::TautomerQuery::TautomerQuery | ( | std::vector< ROMOL_SPTR > | tautomers,
|  | const ROMol *const | templateMolecule,
|  | std::vector< size_t > | modifiedAtoms,
|  | std::vector< size_t > | modifiedBonds )

Referenced by fromMol(), and TautomerQuery().

## ◆ TautomerQuery() [2/3]

RDKit::TautomerQuery::TautomerQuery | ( | const TautomerQuery & | other | ) |
| inline

Copy constructor performs a deep copy.

Definition at line 59 of file TautomerQuery.h.

References PRECONDITION, and TautomerQuery().

## ◆ TautomerQuery() [3/3]

RDKit::TautomerQuery::TautomerQuery | ( | const std::string & | pickle | ) |
| inline

Definition at line 72 of file TautomerQuery.h.

References initFromString().

## Member Function Documentation

## ◆ fromMol()

static TautomerQuery * RDKit::TautomerQuery::fromMol | ( | const ROMol & | molecule,
|  | const std::string & | tautomerTransformFile = std::string() )
| static

References TautomerQuery().

## ◆ getModifiedAtoms()

const std::vector< size_t > RDKit::TautomerQuery::getModifiedAtoms | ( |  | ) | const
| inline

Definition at line 104 of file TautomerQuery.h.

## ◆ getModifiedBonds()

const std::vector< size_t > RDKit::TautomerQuery::getModifiedBonds | ( |  | ) | const
| inline

Definition at line 106 of file TautomerQuery.h.

## ◆ getTautomers()

const std::vector< ROMOL_SPTR > RDKit::TautomerQuery::getTautomers | ( |  | ) | const
| inline

Definition at line 102 of file TautomerQuery.h.

## ◆ getTemplateMolecule()

const ROMol & RDKit::TautomerQuery::getTemplateMolecule | ( |  | ) | const
| inline

Definition at line 100 of file TautomerQuery.h.

## ◆ initFromStream()

void RDKit::TautomerQuery::initFromStream | ( | std::istream & | ss | ) |

initializes from a stream pickle

## ◆ initFromString()

void RDKit::TautomerQuery::initFromString | ( | const std::string & | text | ) |

initializes from a string pickle

Referenced by TautomerQuery().

## ◆ isSubstructOf()

bool RDKit::TautomerQuery::isSubstructOf | ( | const ROMol & | mol,
|  | const SubstructMatchParameters & | params = SubstructMatchParameters() )

## ◆ patternFingerprintTarget()

static ExplicitBitVect * RDKit::TautomerQuery::patternFingerprintTarget | ( | const ROMol & | target,
|  | unsigned int | fpSize = 2048U )
| static

## ◆ patternFingerprintTemplate()

ExplicitBitVect * RDKit::TautomerQuery::patternFingerprintTemplate | ( | unsigned int | fpSize = 2048U | ) | const

## ◆ serialize()

std::string RDKit::TautomerQuery::serialize | ( |  | ) | const

returns a string with a serialized (pickled) representation

## ◆ substructOf()

std::vector< MatchVectType > RDKit::TautomerQuery::substructOf | ( | const ROMol & | mol,
|  | const SubstructMatchParameters & | params = SubstructMatchParameters(),
|  | std::vector< ROMOL_SPTR > * | matchingTautomers = nullptr ) const

## ◆ toStream()

void RDKit::TautomerQuery::toStream | ( | std::ostream & | ss | ) | const

serializes (pickles) to a stream

## Friends And Related Symbol Documentation

## ◆ TautomerQueryMatcher

friend class TautomerQueryMatcher
| friend

Definition at line 117 of file TautomerQuery.h.

References RDKit::MolPickler::pickleMol(), and TautomerQueryMatcher.

Referenced by TautomerQueryMatcher.

The documentation for this class was generated from the following file:

- TautomerQuery.h